import java.util.*;
public class SimpleTester {
  public static void main(String[] args) {
    String[] data = {"Tom", "Mike","Mary","Linda","Jack"};  
    List<String> names =  Arrays.asList(data);  
  
    // 方式一：传统的遍历集合的方式  
    for(String name : names) {  
      System.out.println(name );  
    }  
  
    //方式二：使用 Lambda 表达式  
    names.forEach((name) -> System.out.println(name));  
   
    //方式三：使用 Lambda 表达式 
    names.forEach(System.out::println);  
  }
}

/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
